function idElabData_RIS = DB_date_time_RIS(IDcentralina,DTcatena,NodeNum,ListaDate,ARRAYdate,conn)

nNodo = num2str(NodeNum);
l = ListaDate;
idElabData_RIS = zeros(l,1); % Contiene gli id delle date delle quali ho già dati
cc = 1; % contatore
for ii=1:l
    dString = datestr(ARRAYdate(ii),'yyyy-mm-dd HH:MM:SS');
    
   comando = ['select id from ELABDATARISUL where UnitName = ''' ...
       IDcentralina ''' and ToolNameID = ''' DTcatena ''' and NodeNum = ''' ...
       nNodo ''' and EventTimestamp = ''' dString ''' order by EventTimestamp'];
    curs = exec(conn,comando);
    curs = fetch(curs);
    idDate = curs.Data;
    if  strcmp(idDate,'No Data')
        idElabData_RIS(cc,1) = 0; % 0 indica che il dato non è presente su DB
    else
        idElabData_RIS(cc,1) = cell2mat(idDate);
    end
    cc = cc+1;
end

end